Index: mail/imapsync/Portfile
===================================================================
--- mail/imapsync/Portfile	(revision 93513)
+++ mail/imapsync/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name                imapsync
 version             1.488
@@ -21,18 +22,18 @@
                     sha1    3bd73000b606ad523255a7de42d89427a0626f77 \
                     rmd160  4caa332d730d1f7dea4d9b8196d7397b2b8f6104
 
-depends_run         port:perl5.12 \
-                    port:p5.12-digest-md5 \
-                    port:p5.12-mail-imapclient \
-                    port:p5.12-term-readkey \
-                    port:p5.12-io-socket-ssl \
-                    port:p5.12-datemanip \
-                    port:p5.12-digest-hmac
+depends_run         port:perl${perl5.major} \
+                    port:p${perl5.major}-digest-md5 \
+                    port:p${perl5.major}-mail-imapclient \
+                    port:p${perl5.major}-term-readkey \
+                    port:p${perl5.major}-io-socket-ssl \
+                    port:p${perl5.major}-datemanip \
+                    port:p${perl5.major}-digest-hmac
 
 supported_archs     noarch
 
 post-patch {
-    reinplace "s|^#!.*|#!${prefix}/bin/perl5.12|g" ${worksrcpath}/imapsync
+    reinplace "s|^#!.*|#!${prefix}/bin/perl${perl5.major}|g" ${worksrcpath}/imapsync
 }
 
 use_configure       no
Index: mail/t-prot/Portfile
===================================================================
--- mail/t-prot/Portfile	(revision 93513)
+++ mail/t-prot/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                t-prot
 version             2.5
@@ -20,8 +21,8 @@
                     sha1 c0987d1bbcb0c8ca1156204510ae68765f5e7588 \
                     rmd160 8568da171a75510af309a0375a626bbfc910c9a9
 
-depends_lib         port:p5.12-getopt-mixed \
-                    port:p5.12-locale-gettext
+depends_lib         port:p${perl5.major}-getopt-mixed \
+                    port:p${perl5.major}-locale-gettext
 
 use_configure       no
 
Index: mail/perfect_maildir/Portfile
===================================================================
--- mail/perfect_maildir/Portfile	(revision 93513)
+++ mail/perfect_maildir/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                perfect_maildir
 version             0.3
@@ -18,8 +19,8 @@
                     rmd160 f076ea65732d1c49996f68c19956aa33b2eaaed3
 distfiles           ${name}.pl
 
-depends_lib         port:perl5.12 \
-                    port:p5.12-timedate
+depends_lib         port:perl${perl5.major} \
+                    port:p${perl5.major}-timedate
 
 extract {
     file mkdir ${worksrcpath}
@@ -27,7 +28,7 @@
 }
 
 patch {
-    reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" ${worksrcpath}/${name}.pl
+    reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" ${worksrcpath}/${name}.pl
 }
 
 use_configure       no
Index: mail/pflogsumm/Portfile
===================================================================
--- mail/pflogsumm/Portfile	(revision 93513)
+++ mail/pflogsumm/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name			pflogsumm
 version			1.1.3
@@ -37,10 +38,10 @@
 extract.only	        ${distname}${extract.suffix}
 platforms		darwin freebsd
 
-set perl5.bin	        ${prefix}/bin/perl5.12
+set perl5.bin	        ${prefix}/bin/perl${perl5.major}
 
-depends_lib     port:perl5.12
-depends_run		port:p5.12-date-calc
+depends_lib     port:perl${perl5.major}
+depends_run		port:p${perl5.major}-date-calc
 
 set cgi_path		""
 set maillog_path	""
Index: mail/amavisd-new/Portfile
===================================================================
--- mail/amavisd-new/Portfile	(revision 93513)
+++ mail/amavisd-new/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                amavisd-new
 version             2.7.0
@@ -24,23 +25,23 @@
                     sha256  534b3d91c31e0e87a73602c84dfeb4b30b4ea64dee99fcceabd59b1bc0082b0b
 
 depends_run         port:perl5 \
-                    port:p5.12-archive-zip \
-                    port:p5.12-berkeleydb \
-                    port:p5.12-convert-tnef \
-                    port:p5.12-convert-uulib \
-                    port:p5.12-digest-md5 \
-                    port:p5.12-io-compress \
-                    port:p5.12-io-stringy \
-                    port:p5.12-mail-dkim \
-                    port:p5.12-mailtools \
-                    port:p5.12-mime-tools \
-                    port:p5.12-mime-base64 \
-                    port:p5.12-net-server \
-                    port:p5.12-time-hires \
-                    port:p5.12-unix-syslog \
-                    port:p5.12-mail-spamassassin \
-                    port:p5.12-dbd-mysql \
-                    port:p5.12-mail-clamav \
+                    port:p${perl5.major}-archive-zip \
+                    port:p${perl5.major}-berkeleydb \
+                    port:p${perl5.major}-convert-tnef \
+                    port:p${perl5.major}-convert-uulib \
+                    port:p${perl5.major}-digest-md5 \
+                    port:p${perl5.major}-io-compress \
+                    port:p${perl5.major}-io-stringy \
+                    port:p${perl5.major}-mail-dkim \
+                    port:p${perl5.major}-mailtools \
+                    port:p${perl5.major}-mime-tools \
+                    port:p${perl5.major}-mime-base64 \
+                    port:p${perl5.major}-net-server \
+                    port:p${perl5.major}-time-hires \
+                    port:p${perl5.major}-unix-syslog \
+                    port:p${perl5.major}-mail-spamassassin \
+                    port:p${perl5.major}-dbd-mysql \
+                    port:p${perl5.major}-mail-clamav \
                     port:clamav \
                     port:clamav-server
 
@@ -49,7 +50,7 @@
 set amavisd_home    ${prefix}/var/amavis
 
 post-patch {
-    reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl5.12|" \
+    reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|" \
               ${worksrcpath}/amavisd
     file copy ${worksrcpath}/amavisd.conf ${worksrcpath}/amavisd.conf.example
     reinplace "s|\$daemon_user\  =\ 'vscan'|\$daemon_user\  =\ '${daemon_user}'|" \
Index: mail/mb2md/Portfile
===================================================================
--- mail/mb2md/Portfile	(revision 93513)
+++ mail/mb2md/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem		1.0
+PortGroup			perl5	1.0
 
 name			mb2md
 version			3.20
@@ -22,8 +23,8 @@
 checksums		md5 b47eaa6ae4231a42f4a15564a08eb439
 platforms		darwin
 
-depends_run		port:perl5.12 \
-				port:p5.12-timedate
+depends_run		port:perl${perl5.major} \
+				port:p${perl5.major}-timedate
 
 pre-extract		{ file mkdir ${worksrcpath} }
 extract.post_args	">${worksrcpath}/${name}-${version}.pl"
@@ -34,7 +35,7 @@
 
 build {
 	file copy ${worksrcpath}/${name}-${version}.pl ${worksrcpath}/${name}
-	reinplace "s|^#!.*perl|#!${prefix}/bin/perl5.12|" ${worksrcpath}/${name}
+	reinplace "s|^#!.*perl|#!${prefix}/bin/perl${perl5.major}|" ${worksrcpath}/${name}
 }
 
 destroot {
Index: mail/pemail/Portfile
===================================================================
--- mail/pemail/Portfile	(revision 93513)
+++ mail/pemail/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name			pemail
 version			1.2
@@ -21,13 +22,13 @@
 master_sites		sourceforge
 checksums		md5 4fbd8f9e8a3912c3b86bbe4a69ed29cd
 
-depends_lib		port:perl5.12
-depends_run		port:p5.12-mail-pop3client \
-				port:p5.12-mime-lite \
-				port:p5.12-term-readkey
+depends_lib		port:perl${perl5.major}
+depends_run		port:p${perl5.major}-mail-pop3client \
+				port:p${perl5.major}-mime-lite \
+				port:p${perl5.major}-term-readkey
 
 configure	{
-	reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" ${worksrcpath}/pemail.pl
+	reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" ${worksrcpath}/pemail.pl
 }
 
 build			{}
Index: mail/sympa/Portfile
===================================================================
--- mail/sympa/Portfile	(revision 93513)
+++ mail/sympa/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem	1.0
+PortGroup			perl5	1.0
 
 name			sympa
 version			5.4.7
@@ -33,30 +34,30 @@
 			port:mod_fcgid \
 			port:openssl \
 			port:postfix \
-			port:p5.12-libwww-perl \
-			port:p5.12-archive-zip \
-			port:p5.12-convert-asn1 \
-			port:p5.12-pathtools \
-			port:p5.12-dbi \
-			port:p5.12-dbd-mysql \
-			port:p5.12-mailtools \
-			port:p5.12-io-stringy \
-			port:p5.12-mime-tools \
-			port:p5.12-mime-charset \
-			port:p5.12-mime-encwords \
-			port:p5.12-crypt-openssl-x509 \
-			port:p5.12-fcgi \
-			port:p5.12-libintl-perl \
-			port:p5.12-template-toolkit \
-			port:p5.12-crypt-ciphersaber \
-			port:p5.12-mhonarc \
-			port:p5.12-regexp-common \
-			port:p5.12-xml-libxml \
-			port:p5.12-io-socket-ssl \
-			port:p5.12-soap-lite \
-			port:p5.12-perl-ldap \
-			port:p5.12-html-format \
-			port:p5.12-html-stripscripts-parser
+			port:p${perl5.major}-libwww-perl \
+			port:p${perl5.major}-archive-zip \
+			port:p${perl5.major}-convert-asn1 \
+			port:p${perl5.major}-pathtools \
+			port:p${perl5.major}-dbi \
+			port:p${perl5.major}-dbd-mysql \
+			port:p${perl5.major}-mailtools \
+			port:p${perl5.major}-io-stringy \
+			port:p${perl5.major}-mime-tools \
+			port:p${perl5.major}-mime-charset \
+			port:p${perl5.major}-mime-encwords \
+			port:p${perl5.major}-crypt-openssl-x509 \
+			port:p${perl5.major}-fcgi \
+			port:p${perl5.major}-libintl-perl \
+			port:p${perl5.major}-template-toolkit \
+			port:p${perl5.major}-crypt-ciphersaber \
+			port:p${perl5.major}-mhonarc \
+			port:p${perl5.major}-regexp-common \
+			port:p${perl5.major}-xml-libxml \
+			port:p${perl5.major}-io-socket-ssl \
+			port:p${perl5.major}-soap-lite \
+			port:p${perl5.major}-perl-ldap \
+			port:p${perl5.major}-html-format \
+			port:p${perl5.major}-html-stripscripts-parser
 
 configure.args		--with-bindir=${prefix}/bin/${name} \
                         --with-sbindir=${prefix}/bin/${name} \
@@ -80,7 +81,7 @@
                         --with-spooldir=${prefix}/var/${name}/spool \
 \
                         --with-mandir=${prefix}/man \
-                        --with-perl=${prefix}/bin/perl5.12 \
+                        --with-perl=${prefix}/bin/perl${perl5.major} \
                         --with-openssl=${prefix}/bin/openssl \
 \
                         --with-user=www \
@@ -91,8 +92,8 @@
                         --with-postmap=${prefix}/sbin/postmap
 
 variant postgresql {
-    depends_lib-append      port:p5.12-dbd-pg
-    depends_lib-delete      port:p5.12-dbd-mysql
+    depends_lib-append      port:p${perl5.major}-dbd-pg
+    depends_lib-delete      port:p${perl5.major}-dbd-mysql
 }
 
 variant server  {
Index: mail/postgrey/Portfile
===================================================================
--- mail/postgrey/Portfile	(revision 93513)
+++ mail/postgrey/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem	 1.0
+PortGroup			perl5	1.0
 
 name		 postgrey
 version		 1.32
@@ -23,9 +24,9 @@
 checksums        md5 524a4e165bf997996f3bccade394712f
 
 build.target
-depends_lib-append	port:p5.12-io-multiplex
-depends_lib-append	port:p5.12-net-server
-depends_lib-append	port:p5.12-berkeleydb
+depends_lib-append	port:p${perl5.major}-io-multiplex
+depends_lib-append	port:p${perl5.major}-net-server
+depends_lib-append	port:p${perl5.major}-berkeleydb
 
 startupitem.create      yes
 startupitem.start       "${prefix}/share/postgrey/postgrey.sh start"
@@ -33,7 +34,7 @@
 
 configure {
   system "echo all: > ${worksrcpath}/Makefile"
-  reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+  reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
   	${worksrcpath}/postgrey \
 	${worksrcpath}/contrib/postgreyreport
   reinplace "s|/etc/postfix|${prefix}/etc/postgrey|g" \
Index: aqua/PsyncX/Portfile
===================================================================
--- aqua/PsyncX/Portfile	(revision 93513)
+++ aqua/PsyncX/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 PortGroup           xcode 1.0
 
 name                PsyncX
@@ -23,7 +24,7 @@
 svn.revision        29
 worksrcdir          trunk
 
-depends_lib         port:p5.12-macosx-file
+depends_lib         port:p${perl5.major}-macosx-file
 
 # p5.12-macosx-file is 32-bit only
 supported_archs     i386 ppc
Index: devel/cvsweb/Portfile
===================================================================
--- devel/cvsweb/Portfile	(revision 93513)
+++ devel/cvsweb/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name		cvsweb
 version		3.0.6
@@ -19,12 +20,12 @@
 		ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/local-distfiles/scop/
 checksums	md5 0e1eec962b1db00e01b295fff84b6e89
 
-depends_build	port:perl5.12 \
-		port:p5.12-ipc-run \
-		port:p5.12-file-temp \
-		port:p5.12-uri \
-		port:p5.12-mime-types \
-		port:p5.12-string-ediff \
+depends_build	port:perl${perl5.major} \
+		port:p${perl5.major}-ipc-run \
+		port:p${perl5.major}-file-temp \
+		port:p${perl5.major}-uri \
+		port:p${perl5.major}-mime-types \
+		port:p${perl5.major}-string-ediff \
 		port:cvsgraph
 
 use_configure	no
@@ -55,7 +56,7 @@
 	eval xinstall -m 755 [glob ${worksrcpath}/icons/*] ${destroot}${icons_path}
 	eval xinstall -m 755 [glob ${worksrcpath}/css/*] ${destroot}${css_path}
 
-	reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl5.12|g" \
+	reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|g" \
 		"${destroot}${cgi_path}/cvsweb.cgi"
 	reinplace "s|/usr/local/etc/cvsweb/cvsweb.conf|${httpd_conf_path}cvsweb.conf|g" \
 		"${destroot}${cgi_path}/cvsweb.cgi"
Index: devel/git-core/Portfile
===================================================================
--- devel/git-core/Portfile	(revision 93513)
+++ devel/git-core/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                git-core
 version             1.7.10.2
@@ -26,10 +27,10 @@
                     sha256  bc57810ec8d87f7a10f320e31ceeb1f9eaf254e62e0f6414af67f17d0cf7d522 \
 
 depends_run         port:rsync \
-                    port:p5.12-error \
-                    port:p5.12-term-readkey
+                    port:p${perl5.major}-error \
+                    port:p${perl5.major}-term-readkey
 
-depends_lib         port:perl5.12 \
+depends_lib         port:perl${perl5.major} \
                     port:curl \
                     port:zlib \
                     port:openssl \
@@ -56,7 +57,7 @@
                     CURLDIR=${prefix} \
                     OPENSSLDIR=${prefix} \
                     ICONVDIR=${prefix} \
-                    PERL_PATH="${prefix}/bin/perl5.12" \
+                    PERL_PATH="${prefix}/bin/perl${perl5.major}" \
                     NO_FINK=1 \
                     NO_DARWIN_PORTS=1 \
                     NO_R_TO_GCC_LINKER=1 \
@@ -149,8 +150,8 @@
 
 variant svn description {Bi-directional subversion repository support} {
     depends_run-append  port:subversion \
-                        port:p5.12-libwww-perl \
-                        port:p5.12-svn-simple
+                        port:p${perl5.major}-libwww-perl \
+                        port:p${perl5.major}-svn-simple
 }
 
 variant bash_completion {
Index: devel/gnome-bindings-perl5/Portfile
===================================================================
--- devel/gnome-bindings-perl5/Portfile	(revision 93513)
+++ devel/gnome-bindings-perl5/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name            gnome-bindings-perl5
 version         2.30.2
@@ -19,14 +20,14 @@
 
 homepage        http://www.gnome.org/
 
-depends_lib     port:p5.12-glib    \
-                port:p5.12-gnome2-canvas    \
-                port:p5.12-gnome2-gconf    \
-                port:p5.12-gnome2-vfs    \
-                port:p5.12-gnome2    \
-                port:p5.12-gtk2-gladexml \
-                port:p5.12-gtk2    \
-                port:p5.12-pango
+depends_lib     port:p${perl5.major}-glib    \
+                port:p${perl5.major}-gnome2-canvas    \
+                port:p${perl5.major}-gnome2-gconf    \
+                port:p${perl5.major}-gnome2-vfs    \
+                port:p${perl5.major}-gnome2    \
+                port:p${perl5.major}-gtk2-gladexml \
+                port:p${perl5.major}-gtk2    \
+                port:p${perl5.major}-pango
 
 distfiles
 
Index: devel/mtn-browse/Portfile
===================================================================
--- devel/mtn-browse/Portfile	(revision 93513)
+++ devel/mtn-browse/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem          1.0
+PortGroup			perl5	1.0
 
 name                mtn-browse
 version             0.72
@@ -23,16 +24,16 @@
                     sha1    1490c29d7d9e4cea47b594f6848a72b7a1c5265b \
                     rmd160  e2f2bfd767f31c3781f662fb91a73a9e4a7b774e
 
-depends_run         port:p5.12-monotone-automatestdio \
-                    port:p5.12-gnome2 \
-                    port:p5.12-gtk2-gladexml \
-                    port:p5.12-gtk2-sourceview \
-                    port:p5.12-libintl-perl
+depends_run         port:p${perl5.major}-monotone-automatestdio \
+                    port:p${perl5.major}-gnome2 \
+                    port:p${perl5.major}-gtk2-gladexml \
+                    port:p${perl5.major}-gtk2-sourceview \
+                    port:p${perl5.major}-libintl-perl
 
 use_configure       no
 
 build {
-    reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|g" \
+    reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|g" \
         ${worksrcpath}/mtn-browse \
         ${worksrcpath}/linux-installer
 }
Index: devel/bugzilla/Portfile
===================================================================
--- devel/bugzilla/Portfile	(revision 93513)
+++ devel/bugzilla/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem		1.0
+PortGroup			perl5	1.0
 
 name			bugzilla
 version			2.22.3
@@ -29,22 +30,22 @@
                         rmd160  787f84e343297b1a8caee8310354e01f7c8cc2f8
 
 depends_lib		port:apache2 \
-			port:perl5.12 \
-			port:p5.12-appconfig \
-			port:p5.12-timedate \
-			port:p5.12-dbi \
-			port:p5.12-dbd-mysql \
-			port:p5.12-xml-parser \
-			port:p5.12-patchreader \
-			port:p5.12-gd \
-			port:p5.12-gdtextutil \
-			port:p5.12-gdgraph \
-			port:p5.12-chart \
-			port:p5.12-template-toolkit \
-			port:p5.12-mime-tools \
+			port:perl${perl5.major} \
+			port:p${perl5.major}-appconfig \
+			port:p${perl5.major}-timedate \
+			port:p${perl5.major}-dbi \
+			port:p${perl5.major}-dbd-mysql \
+			port:p${perl5.major}-xml-parser \
+			port:p${perl5.major}-patchreader \
+			port:p${perl5.major}-gd \
+			port:p${perl5.major}-gdtextutil \
+			port:p${perl5.major}-gdgraph \
+			port:p${perl5.major}-chart \
+			port:p${perl5.major}-template-toolkit \
+			port:p${perl5.major}-mime-tools \
 			port:patchutils \
-			port:p5.12-perl-ldap \
-			port:p5.12-xml-twig
+			port:p${perl5.major}-perl-ldap \
+			port:p${perl5.major}-xml-twig
 
 variant mysql4 conflicts mysql5 description "Use mysql4 database" {
                 depends_lib-append   port:mysql4
@@ -66,7 +67,7 @@
 	}
 	foreach item [glob ${worksrcpath}/*.cgi ${worksrcpath}/*.pl \
                            ${worksrcpath}/contrib/*.pl ${worksrcpath}/docs/*.pl] {
-		reinplace "s%^#!.*perl%#!${prefix}/bin/perl5.12%" ${item}
+		reinplace "s%^#!.*perl%#!${prefix}/bin/perl${perl5.major}%" ${item}
 	}
 	foreach item [glob ${worksrcpath}/*.pl ${worksrcpath}/contrib/*.pl \
                            ${worksrcpath}/Bugzilla/*.pm ${worksrcpath}/docs/html/*.html \
Index: devel/vcheck/Portfile
===================================================================
--- devel/vcheck/Portfile	(revision 93513)
+++ devel/vcheck/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name		vcheck
 version		1.2.1
@@ -18,11 +19,11 @@
 use_bzip2	yes
 checksums	md5 712cb91d13ffb4b347b094c9935abca1
 
-depends_lib	port:perl5.12
-depends_run	port:p5.12-libwww-perl
+depends_lib	port:perl${perl5.major}
+depends_run	port:p${perl5.major}-libwww-perl
 
 patch {
-    reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|" ${worksrcpath}/vcheck
+    reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|" ${worksrcpath}/vcheck
 }
 
 use_configure	no
Index: devel/archway/Portfile
===================================================================
--- devel/archway/Portfile	(revision 93513)
+++ devel/archway/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name              archway
 version           0.2.1
@@ -24,6 +25,6 @@
 
 use_configure     no
 build             {}
-destroot.destdir  PERL=${prefix}/bin/perl5.12 DESTDIR=${destroot} prefix=${prefix}
+destroot.destdir  PERL=${prefix}/bin/perl${perl5.major} DESTDIR=${destroot} prefix=${prefix}
 
-depends_lib       port:arch port:p5.12-gtk2
+depends_lib       port:arch port:p${perl5.major}-gtk2
Index: devel/shared-mime-info/Portfile
===================================================================
--- devel/shared-mime-info/Portfile	(revision 93513)
+++ devel/shared-mime-info/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem      1.0
+PortGroup			perl5	1.0
 
 name            shared-mime-info
 version         1.0
@@ -26,7 +27,7 @@
                 port:intltool
 
 # The perl executable should be the one explicitly required by intltool
-configure.env-append  INTLTOOL_PERL=${prefix}/bin/perl5.12
+configure.env-append  INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
 
 depends_lib     path:lib/pkgconfig/glib-2.0.pc:glib2 \
                 port:libxml2
Index: audio/flac2mp3/Portfile
===================================================================
--- audio/flac2mp3/Portfile	(revision 93513)
+++ audio/flac2mp3/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 name            flac2mp3
 version         20041223
 revision        1
@@ -20,8 +21,8 @@
 build           {}
 destroot        {
         xinstall ${distpath}/${name}${extract.suffix} ${destroot}${prefix}/bin
-        reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl5.12|g" \
+        reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl${perl5.major}|g" \
             "${destroot}${prefix}/bin/${name}${extract.suffix}"
 }
 
-depends_lib     port:lame port:flac port:p5.12-mp3-info
+depends_lib     port:lame port:flac port:p${perl5.major}-mp3-info
Index: xfce/xfce-utils/Portfile
===================================================================
--- xfce/xfce-utils/Portfile	(revision 93513)
+++ xfce/xfce-utils/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            xfce-utils
 version         4.6.2
@@ -19,12 +20,12 @@
                 sha1 6373886c3d70e576859741bde747a235567ffd8e \
                 rmd160 06c33863da0f80f16ef154307e4b89085bc3958f
 
-depends_build   port:perl5.12 port:p5.12-xml-parser \
+depends_build   port:perl${perl5.major} port:p${perl5.major}-xml-parser \
                 port:intltool port:pkgconfig
 depends_lib     port:libxfce4util port:libxfcegui4 port:xfconf
 
-configure.env   PERL=${prefix}/bin/perl5.12 \
-                INTLTOOL_PERL=${prefix}/bin/perl5.12
+configure.env   PERL=${prefix}/bin/perl${perl5.major} \
+                INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
 configure.args  --disable-gdm --with-xsession-prefix=${prefix}
 
 # make sure that midori is added to the browser search list
Index: xfce/xfprint/Portfile
===================================================================
--- xfce/xfprint/Portfile	(revision 93513)
+++ xfce/xfprint/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            xfprint
 version         4.6.1
@@ -21,9 +22,9 @@
 
 depends_lib     port:libxfcegui4 port:a2ps
 depends_build   port:libxfce4util port:libxfcegui4 port:xfconf \
-                port:intltool port:perl5.12 port:p5.12-xml-parser \
+                port:intltool port:perl${perl5.major} port:p${perl5.major}-xml-parser \
                 port:pkgconfig
-configure.env   INTLTOOL_PERL=${prefix}/bin/perl5.12
+configure.env   INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
 configure.args  --enable-cups
 
 configure.ldflags-append        "-lXft -lfontconfig -lXrender -lXext -lXinerama -lXrandr"
Index: xfce/exo/Portfile
===================================================================
--- xfce/exo/Portfile	(revision 93513)
+++ xfce/exo/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            exo
 version         0.3.107
@@ -22,7 +23,7 @@
 configure.args  --mandir=${prefix}/share/man --disable-python
 
 depends_build   port:pkgconfig port:intltool
-depends_lib     port:p5.12-uri port:libxfce4util port:gtk2
+depends_lib     port:p${perl5.major}-uri port:libxfce4util port:gtk2
 
 patchfiles      exo-mmintrin.diff
 
Index: xfce/xfwm4/Portfile
===================================================================
--- xfce/xfwm4/Portfile	(revision 93513)
+++ xfce/xfwm4/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            xfwm4
 version         4.6.2
@@ -19,10 +20,10 @@
                 sha1 34514db4531e95a7dbcd7d73c8d97e5cb9d1bf89 \
                 rmd160 445e499ca84846222120d607b80b5eac79b422d7
 
-configure.env   INTLTOOL_PERL=${prefix}/bin/perl5.12
+configure.env   INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
 configure.args  --enable-randr --enable-startup-notification \
                 --disable-compositor --disable-xsync
 depends_lib     port:xfconf port:gtk2 port:dbus-glib port:libwnck \
                 port:libglade2 port:libxfcegui4
-depends_build   port:intltool port:perl5.12 port:p5.12-xml-parser \
+depends_build   port:intltool port:perl${perl5.major} port:p${perl5.major}-xml-parser \
                 port:pkgconfig
Index: xfce/xfce4-appfinder/Portfile
===================================================================
--- xfce/xfce4-appfinder/Portfile	(revision 93513)
+++ xfce/xfce4-appfinder/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            xfce4-appfinder
 version         4.6.2
@@ -19,7 +20,7 @@
                 sha1 2fa2534aa5a6b2fc24942689a0b7bb7cf327feda \
                 rmd160 81dff99b910e3c2c10567341c7189614825ab657
 
-configure.env   INTLTOOL_PERL=${prefix}/bin/perl5.12
-depends_build   port:intltool port:perl5.12 port:p5.12-xml-parser \
+configure.env   INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
+depends_build   port:intltool port:perl${perl5.major} port:p${perl5.major}-xml-parser \
                 port:pkgconfig
 depends_lib     port:libxfcegui4 port:libxfce4menu port:thunar
Index: xfce/xfce4-session/Portfile
===================================================================
--- xfce/xfce4-session/Portfile	(revision 93513)
+++ xfce/xfce4-session/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            xfce4-session
 version         4.6.2
@@ -19,9 +20,9 @@
                 sha1 2a5778a1543f97845f118a186e2dbb8a8ea3ff4b \
                 rmd160 3c45028d57aee5950a485d760799d0c74ada735e
 
-configure.env   INTLTOOL_PERL=${prefix}/bin/perl5.12
+configure.env   INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
 configure.args  --enable-session-screenshots --disable-gnome
 depends_lib     port:libxfce4util port:libxfcegui4 \
                 port:libwnck bin:iceauth:iceauth
-depends_build   port:intltool port:perl5.12 port:p5.12-xml-parser \
+depends_build   port:intltool port:perl${perl5.major} port:p${perl5.major}-xml-parser \
                 port:pkgconfig
Index: xfce/xfdesktop/Portfile
===================================================================
--- xfce/xfdesktop/Portfile	(revision 93513)
+++ xfce/xfdesktop/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            xfdesktop
 version         4.6.2
@@ -22,7 +23,7 @@
 depends_lib     port:libxml2 \
                 port:Thunar port:libxfcegui4
 
-configure.env   INTLTOOL_PERL=${prefix}/bin/perl5.12
+configure.env   INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
 depends_build   port:xfce4-panel port:libglade2 \
-                port:intltool port:perl5.12 port:p5.12-xml-parser \
+                port:intltool port:perl${perl5.major} port:p${perl5.major}-xml-parser \
                 port:pkgconfig
Index: xfce/xfce4-settings/Portfile
===================================================================
--- xfce/xfce4-settings/Portfile	(revision 93513)
+++ xfce/xfce4-settings/Portfile	(working copy)
@@ -2,6 +2,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name            xfce4-settings
 version         4.6.5
@@ -19,8 +20,8 @@
                 sha1 c036cc2f3100a46b2649e678dff7c0106b219263 \
                 rmd160 a8155346285921f3087795598989df287be8abb4
 
-configure.env   INTLTOOL_PERL=${prefix}/bin/perl5.12
-depends_build   port:intltool port:perl5.12 port:p5.12-xml-parser \
+configure.env   INTLTOOL_PERL=${prefix}/bin/perl${perl5.major}
+depends_build   port:intltool port:perl${perl5.major} port:p${perl5.major}-xml-parser \
                 port:pkgconfig
 depends_lib     port:libxfcegui4 port:exo port:libwnck
 
Index: net/ftpsync/Portfile
===================================================================
--- net/ftpsync/Portfile	(revision 93513)
+++ net/ftpsync/Portfile	(working copy)
@@ -1,6 +1,7 @@
 # $Id$
 
 PortSystem 1.0
+PortGroup			perl5	1.0
 
 name                ftpsync
 version             1.3.04
@@ -21,12 +22,12 @@
 
 supported_archs     noarch
 
-depends_run         port:p5.12-net port:p5.12-libwww-perl
+depends_run         port:p${perl5.major}-net port:p${perl5.major}-libwww-perl
 
 use_bzip2           yes
 
 configure {
-    reinplace "s|/usr/bin/perl|${prefix}/bin/perl5.12|1" ${worksrcpath}/ftpsync.pl
+    reinplace "s|/usr/bin/perl|${prefix}/bin/perl${perl5.major}|1" ${worksrcpath}/ftpsync.pl
 }
 
 build {}
